import 'dart:math';
import 'package:flutter/material.dart';

class GraphPainter extends CustomPainter {
  const GraphPainter();

  double random(double max) {
    return Random().nextDouble() * max;
  }

  @override
  void paint(Canvas canvas, Size size) {
    // Fill background
    final paintBackground = Paint();
    paintBackground.color = Colors.black;
    paintBackground.style = PaintingStyle.fill;

    final Rect rectBackground = Rect.fromPoints(Offset(0, 0), Offset(size.width, size.height));
    canvas.drawRect(rectBackground, paintBackground);

    // Draw some lines
    final paintLine = Paint();
    paintLine.color = Colors.red;
    paintLine.style = PaintingStyle.fill;

    int linesCount = 500;
    for (int i = 0; i < linesCount; i++) {
      Offset lineStart = Offset(random(size.width), random(size.height));
      Offset lineStop = Offset(random(size.width), random(size.height));
      canvas.drawLine(lineStart, lineStop, paintLine);
    }
  }

  @override
  bool shouldRepaint(CustomPainter oldDelegate) {
    return false;
  }
}
