import 'package:flutter/material.dart';

import 'package:random/activities/ActivityDemoPage.dart';
import 'package:random/activities/ActivityGraphPage.dart';

class Home extends StatelessWidget {
  static const String id = 'home';

  @override
  Widget build(BuildContext context) {
    double screenWidth = MediaQuery.of(context).size.width;

    Container _menuItem(String activityCode) {
      double imageSize = screenWidth / 4;

      String imageAsset = 'assets/menu/' + activityCode + '.png';

      return Container(
        margin: EdgeInsets.all(2),
        child: TextButton(
          style: TextButton.styleFrom(
            padding: EdgeInsets.all(4),
            backgroundColor: Colors.lightBlue,
          ),
          child: Image(
            image: AssetImage(imageAsset),
            width: imageSize,
            height: imageSize,
            fit: BoxFit.fill,
          ),
          onPressed: () {
            Navigator.pushNamed(
              context,
              '/' + activityCode,
            );
          },
        ),
      );
    }

    return Scaffold(
      backgroundColor: Colors.blue,
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisSize: MainAxisSize.max,
          children: <Widget>[
            _menuItem(ActivityDemoPage.code),
            _menuItem(ActivityGraphPage.code),
          ],
        ),
      ),
    );
  }
}
